null_container(3)

NAME
null_container - Helps you implement specialized containers.

  Functions
netsnmp_container * netsnmp_container_get_null (void)
netsnmp_factory * netsnmp_container_get_null_factory (void)
void netsnmp_container_null_init (void)

Detailed Description

Helps you implement specialized containers.

This is a simple container that doesn't actually contain anything. All the methods simply log a debug message and return.

The original intent for this container is as a wrapper for a specialized container. Implement the functions you need, create a null_container, and override the default functions with your specialized versions.

You can use the 'container:null' debug token to see what functions are being called, to help determine if you need to implement them.